Inhalte
Index 🔎︎

# Funktion DateValue

Rechnet eine Datumszeichenkette in einen Zahlenwert um und gibt diesen zurück. Die Datumszeichenkette ist ein vollständiges Datum in einem einzigen numerischen Wert. Sie können diese serielle Zahl auch verwenden, um den zeitlichen Abstand zwischen zwei Datumswerten zu bestimmen.

### Syntax:

      DateValue(Datum)

### Parameter:

Date: Zeichenkettenausdruck, der das Datum enthält, das Sie berechnen möchten. Im Gegensatz zur Funktion DateSerial, die Jahre, Monate und Tage als separate numerische Werte benötigt, braucht die Funktion DateValue eine Datumszeichenkette, die einem der für die Gebietsschemaeinstellung definierten Datumsmuster (Siehe LibreOffice – Einstellungen Extras – Optionen… – Spracheinstellungen – Sprachen) oder dem ISO-Datumsformat (Momentan wird nur das ISO-Format mit Bindestrichen akzeptiert, beispielsweise "2012-12-31" ) entspricht.

### Rückgabewert:

Das berechnete Datum.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

### Beispiel:

      Sub ExampleDateValue
          MsgBox DateValue("23/02/2011")
      End Sub